Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

API/Repository/SearchService.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository;
8
9 use eZ\Publish\API\Repository\Values\Content\Query\Criterion;
10 use eZ\Publish\API\Repository\Values\Content\Query;
11 use eZ\Publish\API\Repository\Values\Content\LocationQuery;
12
16 interface SearchService
17 {
27 const CAPABILITY_SCORING = 1;
28
41 const CAPABILITY_FACETS = 2;
42
53 const CAPABILITY_CUSTOM_FIELDS = 4;
54
66 const CAPABILITY_SPELLCHECK = 8;
67
84 const CAPABILITY_HIGHLIGHT = 16;
85
94 const CAPABILITY_SUGGEST = 32;
95
104 const CAPABILITY_ADVANCED_FULLTEXT = 64;
105
120 public function findContent(Query $query, array $languageFilter = [], $filterOnUserPermissions = true);
121
141 public function findContentInfo(Query $query, array $languageFilter = [], $filterOnUserPermissions = true);
142
158 public function findSingle(Criterion $filter, array $languageFilter = [], $filterOnUserPermissions = true);
159
168 public function suggest($prefix, $fieldPaths = [], $limit = 10, Criterion $filter = null);
169
183 public function findLocations(LocationQuery $query, array $languageFilter = [], $filterOnUserPermissions = true);
184
196 public function supports($capabilityFlag);
197 }
eZ\Publish\API\Repository\Values\Content\LocationQuery
This class is used to perform a Location query.
Definition: API/Repository/Values/Content/LocationQuery.php:13
eZ\Publish\API\Repository\Values\Content\Query\Criterion
Definition: API/Repository/Values/Content/Query/Criterion.php:15
eZ\Publish\API\Repository\Values\Content\Query
This class is used to perform a Content query.
Definition: API/Repository/Values/Content/Query.php:15
eZ\Publish\API\Repository\SearchService
Search service.
Definition: API/Repository/SearchService.php:17
eZ\Publish\API\Repository\SearchService\CAPABILITY_SCORING
const CAPABILITY_SCORING
Capability flag for scoring feature for use with {.
Definition: API/Repository/SearchService.php:27
eZ\Publish\API\Repository\SearchService\CAPABILITY_HIGHLIGHT
const CAPABILITY_HIGHLIGHT
Capability flag for highlight feature for use with {.
Definition: API/Repository/SearchService.php:84
eZ\Publish\API\Repository\SearchService\CAPABILITY_SUGGEST
const CAPABILITY_SUGGEST
Capability flag for suggest feature for use with {.
Definition: API/Repository/SearchService.php:94
eZ\Publish\API\Repository\SearchService\suggest
suggest($prefix, $fieldPaths=[], $limit=10, Criterion $filter=null)
Suggests a list of values for the given prefix.
eZ\Publish\API\Repository\SearchService\findLocations
findLocations(LocationQuery $query, array $languageFilter=[], $filterOnUserPermissions=true)
Finds Locations for the given query.
eZ\Publish\API\Repository\SearchService\CAPABILITY_FACETS
const CAPABILITY_FACETS
Capability flag for facets feature for use with {.
Definition: API/Repository/SearchService.php:41
eZ\Publish\API\Repository\SearchService\findContentInfo
findContentInfo(Query $query, array $languageFilter=[], $filterOnUserPermissions=true)
Finds contentInfo objects for the given query.
eZ\Publish\API\Repository\SearchService\findSingle
findSingle(Criterion $filter, array $languageFilter=[], $filterOnUserPermissions=true)
Performs a query for a single content object.
eZ\Publish\API\Repository\SearchService\CAPABILITY_CUSTOM_FIELDS
const CAPABILITY_CUSTOM_FIELDS
Capability flag for custom fields feature for use with {.
Definition: API/Repository/SearchService.php:53
eZ\Publish\API\Repository\SearchService\CAPABILITY_SPELLCHECK
const CAPABILITY_SPELLCHECK
Capability flag for spellcheck feature for use with {.
Definition: API/Repository/SearchService.php:66
eZ\Publish\API\Repository\SearchService\findContent
findContent(Query $query, array $languageFilter=[], $filterOnUserPermissions=true)
Finds content objects for the given query.
eZ\Publish\API\Repository\SearchService\supports
supports($capabilityFlag)
Query for supported capability of currently configured search engine.
eZ\Publish\API\Repository\SearchService\CAPABILITY_ADVANCED_FULLTEXT
const CAPABILITY_ADVANCED_FULLTEXT
Capability flag for advanced fulltext feature for use with {.
Definition: API/Repository/SearchService.php:104
eZ\Publish\API\Repository\Values\Content\Query\Criterion
Definition: API/Repository/Values/Content/Query/Criterion/Ancestor.php:7
eZ\Publish\API\Repository
Definition: API/Repository/BookmarkService.php:9
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.